Subject: Re: bug#71435: interactive xref-find-definitions-at-mouse

From: Juri Linkov <[email-masked]>
Date: Sun, 09 Jun 2024 19:46:05 +0300

> ;; cmd-click -> jump to definition
> (global-set-key (kbd "s-<mouse-1>") #'xref-find-definitions-at-mouse-2)
>
> Could this functionality (not necessarily this code) be added to Emacs's
> xref package? I am not enough of an Emacs expert to know whether I was
> simply "holding it wrong", so perhaps this is merely a documentation
> problem.

There is the "Find Definition" item in the context menu enabled by context-menu-mode.